/* Copyright 2016 Mozilla Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* globals pdfjsLib, pdfjsViewer */

'use strict';

var getParameter = function(name, findStr) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");

	if(findStr) {
		findStr = findStr.indexOf("?") != -1 ? findStr.substr(findStr.indexOf("?") + 1) : findStr;
	}

	var searchStr = findStr || window.location.search.substr(1);

	var r = searchStr.match(reg);
	if(r != null) return decodeURIComponent(r[2]);
	return "";
};
var url = '';
var file = getParameter("file");
if(file) {
	url = file;
} else {
	console.log("error file parameter");
}

//
// If absolute URL from the remote server is provided, configure the CORS
// header on that server.
//

//
// The workerSrc property shall be specified.
//
pdfjsLib.GlobalWorkerOptions.workerSrc =
	'pdf.worker.min.js';

//
// Asynchronous download PDF
//
pdfjsLib.getDocument(url).then(function getPdfHelloWorld(pdf) {
	//
	// Fetch the first page
	//
	pdf.getPage(1).then(function getPageHelloWorld(page) {
		var scale = 1.5;
		var viewport = page.getViewport(scale);

		//
		// Prepare canvas using PDF page dimensions
		//
		var canvas = document.getElementById('the-canvas');
		var context = canvas.getContext('2d');
		canvas.height = viewport.height;
		canvas.width = viewport.width;

		//
		// Render PDF page into canvas context
		//
		var renderContext = {
			canvasContext: context,
			viewport: viewport
		};
		page.render(renderContext);
	});
});